#lang racket

(provide run)

;; Better would be
#;
(provide (contract-out [run (->* (string?) #:rest (listof string?) boolean?)]))

(define (run prog . args)
  (apply system* (find-program prog) args))

(define (find-program str)
  (or (find-executable-path str)
      (error 'pfsh "could not find program: ~a" str)))
